Loading...
Searching...
No Matches
RGroupUtils.h File Reference
`#include <GraphMol/RDKitBase.h>`
`#include <GraphMol/ChemTransforms/MolFragmenter.h>`
`#include "RGroupDecomp.h"`
`#include <map>`

Go to the source code of this file.

## Namespaces

namespace | RDKit
| Std stuff.

## Enumerations

enum class | RDKit::Labelling { RDKit::RGROUP_LABELS , RDKit::ISOTOPE_LABELS , RDKit::ATOMMAP_LABELS , RDKit::INDEX_LABELS , RDKit::DUMMY_LABELS , RDKit::INTERNAL_LABELS }

## Functions

std::string | RDKit::labellingToString (Labelling type)
| return the user friendly name for the given labelling
std::map< int, Atom * > | RDKit::getRlabels (const RWMol &mol)
| Get the RLabels,atom mapping for the current molecule.
void | RDKit::clearInputLabels (Atom *atom)
| Remove the user labels from the atom.
bool | RDKit::setLabel (Atom *atom, int label, std::set< int > &labels, int &maxLabel, bool relabel, Labelling type)
bool | RDKit::hasDummy (const RWMol &core)
| Returns true if the core has a dummy atom.
bool | RDKit::isAtomWithMultipleNeighborsOrNotDummyRGroupAttachment (const Atom &atom)
bool | RDKit::isUserRLabel (const Atom &atom)
| Return true if the atom has a user-defined R group label.
bool | RDKit::isDummyRGroupAttachment (const Atom &atom)
bool | RDKit::isAnyAtomWithMultipleNeighborsOrNotUserRLabel (const Atom &atom)
RDKIT_RGROUPDECOMPOSITION_EXPORT std::string | RDKit::toJSON (const RGroupRow &rgr, const std::string &prefix="")
RDKIT_RGROUPDECOMPOSITION_EXPORT std::string | RDKit::toJSON (const RGroupRows &rgr, const std::string &prefix="")
RDKIT_RGROUPDECOMPOSITION_EXPORT std::string | RDKit::toJSON (const RGroupColumn &rgr, const std::string &prefix="")
RDKIT_RGROUPDECOMPOSITION_EXPORT std::string | RDKit::toJSON (const RGroupColumns &rgr, const std::string &prefix="")
RDKIT_RGROUPDECOMPOSITION_EXPORT void | RDKit::relabelMappedDummies (ROMol &mol, unsigned int inputLabels=AtomMap|Isotope|MDLRGroup, unsigned int outputLabels=MDLRGroup)

## Variables

RDKIT_RGROUPDECOMPOSITION_EXPORT const std::string | RDKit::RLABEL
RDKIT_RGROUPDECOMPOSITION_EXPORT const std::string | RDKit::RLABEL_TYPE
RDKIT_RGROUPDECOMPOSITION_EXPORT const std::string | RDKit::RLABEL_CORE_INDEX
RDKIT_RGROUPDECOMPOSITION_EXPORT const std::string | RDKit::SIDECHAIN_RLABELS
RDKIT_RGROUPDECOMPOSITION_EXPORT const std::string | RDKit::done
RDKIT_RGROUPDECOMPOSITION_EXPORT const std::string | RDKit::UNLABELED_CORE_ATTACHMENT
const unsigned int | RDKit::EMPTY_CORE_LABEL = -100000